%define oname   builder

Name:       ruby-%{oname}
Version:    2.1.2
Release:    %mkrel 3
Summary:    Builders for MarkUp
Group:      Development/Ruby
License:    MIT
URL:        http://onestepback.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     builder-2.1.2-missing-include.patch
BuildRequires: rubygems
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Builder provides a number of builder objects that make creating structured
data simple to do.  Currently the following builder objects are supported:

  * XML Markup
  * XML Events

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGES
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Rakefile
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/builder-1.2.4.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/builder-2.0.0.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc/releases/builder-2.1.1.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install
# no shebang in lib/ files (TODO: implement that in gem_helper.rb)
find %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ \
    -type f -exec sed -i '/^#!/d' {} \;

%check
rake

%clean
rm -rf %{buildroot}



%changelog
* Tue Jan 25 2011 shikamaru <shikamaru> 2.1.2-3.mga1
+ Revision: 39584
- rebuild for new rubygems.rb

* Tue Jan 25 2011 shikamaru <shikamaru> 2.1.2-2.mga1
+ Revision: 39337
- fix missing require
- imported package ruby-builder


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@myoboku.shikamaru.fr> - 2.1.2-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Sat Oct 09 2010 Rémy Clouard <shikamaru@mandriva.org> 2.1.2-1mdv2011.0
+ Revision: 584325
- import rubygem-builder

